年次Cronの作成(週タイプ)
説明
このAPIを使用すると、スケジュールされた時間にジョブをジョブプールに送信し、Job Functionエンドポイントをトリガーする繰り返しタイプの年次cron(カレンダー週を使用して定義)を作成できます。
注意:
-
このAPIでは、Job Functionを使用したリクエスト例とレスポンス例を示しています。APIの機能はwebhook、Circuits、およびAppSailジョブでも同じです。
リクエスト詳細
リクエストURL
{api-domain/}baas/v1/project/{project_id}/job_scheduling/cron
リクエストヘッダー
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
オプションヘッダー
CATALYST-ORG: {org_id}
Environment: Development
スコープ
ZohoCatalyst.cron.CREATE
リクエストJSON
以下に示す対応する値を含むJSONを送信する必要があります。
{
"cron_type": "Calendar",
"cron_status": true,
"job_detail": {
"repetition_type": "yearly",
"months": [
"0",
"1",
"2",
"3",
"4",
"5",
"6",
"7",
"8",
"9",
"10",
"11"
],
"weeks_of_month": [
"1",
"3",
"5"
],
"week_day": [
"1"
],
"hour": "0",
"minute": "0",
"second": "0",
"timezone": "PST"
},
"job_meta": {
"source_type": "Cron",
"job_config": {
"number_of_retries": "2",
"retry_interval": "1000"
},
"job_name": "jobName",
"jobpool_id": "10108000003823563",
"target_type": "Function",
"target_id": "10108000003823893",
"params": {
"param1": "value1"
}
},
"cron_name": "recurCronYearlyWeek",
"description": "abc",
"end_time": 1719212399,
"cron_execution_type": "pre-defined"
}
このリクエストJSONをリクエストボディに設定し、以下の値を指定する必要があります:
レスポンス詳細
JSONレスポンスは作成されたcronのメタデータを返します。レスポンスにはcronを作成したユーザーの詳細も含まれます。
curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/job_scheduling/cron
-H “Authorization: Zoho-oauthtoken 1000.91016.2f57”
-H “Content-Type:application/json”
--data-raw ‘{“cron_type”:“Calendar”,“cron_status”:true,“job_detail”:{“repetition_type”:“yearly”,“months”:[“0”,“1”,“2”,“3”,“4”,“5”,“6”,“7”,“8”,“9”,“10”,“11”],“weeks_of_month”:[“1”,“3”,“5”],“week_day”:[“1”],“hour”:“0”,“minute”:“0”,“second”:“0”,“timezone”:“PST”},“job_meta”:{“source_type”:“Cron”,“job_config”:{“number_of_retries”:“2”,“retry_interval”:“1000”},“job_name”:“jobName”,“jobpool_id”:“10108000003823563”,“target_type”:“Function”,“target_id”:“10108000003823893”,“params”:{“param1”:“value1”}},“cron_name”:“recurCronYearlyWeek”,“description”:“abc”,“end_time”:1719212399,“cron_execution_type”:“pre-defined”}’
{
"status": "success",
"data": {
"cron_name": "recurCronYearlyWeek",
"description": "abc",
"cron_type": "Calendar",
"cron_execution_type": "pre-defined",
"job_meta": {
"id": "10108000004280663",
"url": "",
"job_name": "jobName",
"job_config": {
"number_of_retries": 2,
"retry_interval": 1000
},
"target_type": "Function",
"target_details": {
"id": "10108000003823893",
"target_name": "target_function_fetch"
},
"source_type": "Cron",
"source_details": {
"id": "10108000004280661",
"source_name": "recurCronYearlyWeek",
"details": {
"cron_execution_type": "pre-defined"
}
},
"jobpool_id": "10108000003823563",
"jobpool_details": {
"type": "Function",
"name": "VendorReminder",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"created_time": "May 28, 2024 04:44 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "May 28, 2024 04:44 PM",
"capacity": {
"memory": "2048"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"id": "10108000003823563"
},
"headers": {},
"params": {
"param1": "value1"
}
},
"cron_status": true,
"created_time": "Jun 07, 2024 12:45 PM",
"created_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"modified_time": "Jun 07, 2024 12:45 PM",
"modified_by": {
"zuid": "77941453",
"is_confirmed": false,
"email_id": "emmy@zylker.com",
"first_name": "Amelia Burrows",
"last_name": "",
"user_type": "Admin",
"user_id": "10108000000009004"
},
"project_details": {
"project_name": "ZylkerShipments",
"id": "10108000003823392",
"project_type": "Live"
},
"end_time": "1719212399",
"cron_detail": {
"jobId": "10108000004280661",
"transactionTimeout": -1,
"hour": 0,
"minute": 0,
"second": 0,
"repetition_type": "yearly",
"months": [
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11
],
"weeks_of_month": [
1,
3,
5
],
"week_day": [
1
],
"timezone": "PST"
},
"id": "10108000004280661"
}
}
Yes
No
Send your feedback to us